<?php
if(!function_exists('sql_table'))	{
	function sql_table($name) {	return 'nucleus_'.$name;	}
}
class NP_Database extends NucleusPlugin {
	function getName(){return "Database";}
	function getAuthor(){return "jun";}
	function getURL(){return "http://nucleus.mz-style.com/";}
	function getVersion(){return "0.15";}
	function getDescription(){return "Nucleus Database Control. and uploading csv file.";}
	function supportsFeature($what) {
		switch($what)	{
			case 'SqlTablePrefix':
				return 1;
			default:
				return 0;
		}
	}
	function install() {
		$this -> createOption('quickmenu', 'QuickMenu?', 'yesno', 'no');
	}
	function unInstall() {
		$this -> deleteOption('quickmenu');
	}
	function getEventList() {
		return array('QuickMenu');
	}
	function event_QuickMenu(&$data) {
		global $member;
		if($this->getOption('quickmenu') != 'yes') return;
		if(!($member->isLoggedIn() && $member->isAdmin())) return;
		array_push(
			$data['options'],
			array(
				'title' => _NP_DATABASE_DATA,
				'url' => $this->getAdminURL(),
				'tooltip' => _NP_DATABASE_TITLE
			)
		);
	}
	function hasAdminArea() {
		return 1;
	}
	function init() {
		$language = ereg_replace( '[\\|/]', '', getLanguageName());
		if(file_exists($this->getDirectory().$language.'.php')) {
			include_once($this->getDirectory().$language.'.php');
		}else {
			include_once($this->getDirectory().'english.php');
		}
	}
}
?>